Debian Bug report logs - #714173
ITP: php-symfony-process -- Symfony PHP Framework - the Process component executes commands in sub-processes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: andrea rota <a@xelera.eu>

Date: Wed, 26 Jun 2013 15:27:01 UTC

Owned by: andrea rota <a@xelera.eu>

Severity: wishlist

Fixed in version php-symfony-process/2.3.1-1

Done: andrea rota <a@xelera.eu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#714173; Package wnpp. (Wed, 26 Jun 2013 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrea rota <a@xelera.eu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 26 Jun 2013 15:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: php-symfony-process -- Symfony PHP Framework - the Process component executes commands in sub-processes
Date: Wed, 26 Jun 2013 16:23:46 +0100
Package: wnpp
Severity: wishlist
Owner: andrea rota <a@xelera.eu>

* Package name    : php-symfony-process
  Version         : 2.3.1
  Upstream Author : Fabien Potencier <fabien@symfony.com>
* URL             : https://github.com/symfony/Process
* License         : MIT
  Programming Lang: PHP
  Description     : Symfony2 PHP Framework - Process component: executes commands in sub-processes

Symfony2 is a full stack, free software MVC Web Development Framework
written in PHP.
.
This package provides the Process component, which executes commands in
sub-processes.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Thu, 27 Jun 2013 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to a@xelera.eu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Thu, 27 Jun 2013 23:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 714173@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: 714173@bugs.debian.org
Cc: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Thu, 27 Jun 2013 23:35:10 +0100
[Message part 1 (text/plain, inline)]
an updated initial package is available on git.debian.org:

http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-process.git;a=summary

comments/sponsorship welcome :)

best
andrea

-- 
andrea rota

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Thu, 27 Jun 2013 23:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Thu, 27 Jun 2013 23:00:08 GMT) Full text and rfc822 format available.

Message #15 received at 714173@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Cc: 714173@bugs.debian.org, 714176@bugs.debian.org, 714177@bugs.debian.org
Subject: Re: [pkg-php-pear] ITP: php-symfony-**** -- Symfony PHP Framework - **** component
Date: Thu, 27 Jun 2013 18:49:53 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 27/06/2013 18:35, andrea rota a écrit :
> an updated initial package is available on git.debian.org:
> 
> http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-process.git;a=summary

Assuming you already took into account the previous remarks, I’m happy
to have a second closer look at the php-symfony-* packages and
eventually upload them (once checked and fixed if needed) if that’s OK
with other team members.

Regards

David

P.-S.: I just joined the team and am not aware of the usual workflow,
nor know if there are particular “sponsor rules”, but I’ll assume I’m
welcome to proceed within two days if no one says otherwise (or sooner
if I got an explicit acknowledgement from one of the usual suspects).

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRzMGRAAoJEAWMHPlE9r08Iq0IAJclZJX07Hug/MEcwUpdtqNb
E71v1n/JWehCChV9aYvERNS+kIkEklactiCFXgcPISwKG/1RdU0OZtIKKXfgvlQX
Yn6n954TU0NdzLEAE6kBks5CF9zFX7m6F6TEppi+XMQiXDdy9a4Jb3pPoFLFkgz/
T6DzzgxmM064pdNSIamGOeEnZOjN02OSy1QK2LrC79yWNfAEgX8PchKA+lWzlE9P
1C+Yh4V3Fr1oa6Xv1c52hQFS8Hw/lFG4aawN8cFlrsde81xR1ysV3ZL0N0lte/wR
UOCKdgR4jH1hXL1YU0E0fX3+c16YkSzURHHAo3+ciUmD9LalwTkfgpK57aac898=
=KpPb
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Fri, 28 Jun 2013 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to a@xelera.eu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Fri, 28 Jun 2013 16:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 714173@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: David Prévot <david@tilapin.org>, Thomas Goirand <zigo@debian.org>
Cc: Mathieu Parent <math.parent@gmail.com>, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>, 714173@bugs.debian.org
Subject: Re: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Fri, 28 Jun 2013 17:28:46 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 27, 2013 at 07:51:01PM -0400, David Prévot wrote:
[...]
> Then, some nitpicking details:
> 
> Framework should be framework in Description from debian/control.

thanks, this is fixed now.

> The email address of the upstream copyright holder should appear in
> debian/copyright.

ok, fixed.

> Please, consider renaming debian/php-symfony-process.docs and
> debian/php-symfony-process.install into debian/docs and debian/install
> (that will ease the comparison/copy between php-symfony- packages as
> long as they produce only one binary package).

very good point - fixed.

[...]

On Fri, Jun 28, 2013 at 10:14:31AM +0800, Thomas Goirand wrote:
[...]
> IMO, the long description should have:
> 
>  Symfony is a PHP framework, a set of tools and a development
>  methodology.
> 
> *after*
> 
>  This package provides the Process component, which executes commands in
>  sub-processes.
> 
> Because describing the Symfony framework should (IMO) appear in all
> description of all Symfony packages, and it may be better to read this
> way for anyone using the package. Also the paragraph which doesn't
> describe the Symfony framework should be, IMO, longer. The only words
> that are helpful are "which executes commands in sub-processes" (the
> rest is in the package name itself). Please extend this long description.

agreed - longdesc is updated. i personally find it easier to read the
generic Symfony framework description first and the component's
description second, but either way works well so i have updated control
according to your suggestion.

> Last, and that's the most important bit that *must* be fixed before
> upload, the resulting package doesn't depend on pear-symfony-channel. I
> don't think it is right to put: ${phpcomposer:Debian-require}. I am
> guessing it is because ${phppear:Debian-Depends},
> ${phppear:Debian-Recommends} and ${phppear:Debian-Breaks} are missing.
> It would also be a good idea to use ${phppear:summary} and
> ${phppear:description} if they produce a correct output (I didn't check
> if they do, sometimes we don't use them if they don't).

having followed this part of the thread between yourself and Mathieu, i
have left the phpcomposer substvars in place and have *not* added any
phppear ones.

Mathieu, you mentioned that the Symfony PEAR channel is out of date -
however, as Thomas pointed out, somehow confusingly there are two
distinct ones at different domains, and http://pear.symfony.com/ seems
indeed indeed up to date to me, with all components up to version 2.3.1.

however, to add to the confusion, upstream's PEAR packages use symfony2
as part of the package name, whereas upstream's composer.json data use
symfony. unless i'm missing something, Debian packages for these
Symfony(2) components could be generated either via phpcomposer or
phppear, although this needs to be done consistently (which is easy
since we're just starting and there aren't that many components).

i assume upstream provide both distribution methods for different use
cases (PEAR for system-wide installs, composer for in-project-folder
installs).

other than this, i think php-symfony-process should be in rather good
shape by now:
http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-process.git;a=summary

best,
andrea

-- 
andrea rota

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Fri, 28 Jun 2013 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Fri, 28 Jun 2013 18:39:04 GMT) Full text and rfc822 format available.

Message #25 received at 714173@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: a@xelera.eu
Cc: David Prévot <david@tilapin.org>, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>, 714173@bugs.debian.org
Subject: Re: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Sat, 29 Jun 2013 02:35:15 +0800
On 06/29/2013 12:28 AM, andrea rota wrote:
> i personally find it easier to read the
> generic Symfony framework description first and the component's
> description second

This has nothing to do with preference, but with the standards we have
in Debian. I always saw things in the order I am vouching for.

> having followed this part of the thread between yourself and Mathieu, i
> have left the phpcomposer substvars in place and have *not* added any
> phppear ones.
> 
> Mathieu, you mentioned that the Symfony PEAR channel is out of date -
> however, as Thomas pointed out, somehow confusingly there are two
> distinct ones at different domains, and http://pear.symfony.com/ seems
> indeed indeed up to date to me, with all components up to version 2.3.1.

Yeah, the other one was from Symfony 1, and they created another one for
Symfony 2...

> however, to add to the confusion, upstream's PEAR packages use symfony2
> as part of the package name, whereas upstream's composer.json data use
> symfony. unless i'm missing something, Debian packages for these
> Symfony(2) components could be generated either via phpcomposer or
> phppear, although this needs to be done consistently (which is easy
> since we're just starting and there aren't that many components).

Please use stuff from PEAR channels. Otherwise it's not called a PEAR
package! :P

> i assume upstream provide both distribution methods for different use
> cases (PEAR for system-wide installs, composer for in-project-folder
> installs).
> 
> other than this, i think php-symfony-process should be in rather good
> shape by now:
> http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-process.git;a=summary

I don't agree that it's in good shape. I think I have to insist here.
Your package should:
- depend on pear-symfony-channel (by the way, should it have been
pear-symfony2-channel???)
- depend on php-pear
- contain a .reg for the PEAR package

as for every other PEAR package...

Currently, you fail to respect these essentials rules for a PEAR
package, which means that the "process" Symfony package will appear as
not installed when doing "pear list" for the symfony channel. Eg:

For example:
# pear config-set default_channel symfony2
config-set succeeded
# pear list
Installed packages, channel pear.symfony.com:
=============================================
Package Version State
Yaml    2.2.1   stable

When I install your package, it should show here. It's not the case!

Please use the upstream tarball from here and not Git:
http://pear.symfony.com/get/Process-2.3.1.tgz

so that you can use the package.xml from the tarball, and do a "normal"
pear packaging. I don't even understand why something had to be done for
phpcomposer. Maybe you can explain?

and add the necessary ${phppear:Debian-Depends},
${phppear:Debian-Recommends} and ${phppear:Debian-Breaks} as I suggested.

Cheers,

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Sat, 29 Jun 2013 00:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to a@xelera.eu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Sat, 29 Jun 2013 00:33:05 GMT) Full text and rfc822 format available.

Message #30 received at 714173@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: Thomas Goirand <zigo@debian.org>, 714173@bugs.debian.org
Cc: Mathieu Parent <math.parent@gmail.com>, Prach Pongpanich <prachpub@gmail.com>, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: Bug#714173: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Sat, 29 Jun 2013 01:30:17 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jun 29, 2013 at 02:35:15AM +0800, Thomas Goirand wrote:
[...]
> > other than this, i think php-symfony-process should be in rather good
> > shape by now:
> > http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-process.git;a=summary
> 
> I don't agree that it's in good shape. I think I have to insist here.
> Your package should:
> - depend on pear-symfony-channel (by the way, should it have been
> pear-symfony2-channel???)
> - depend on php-pear
> - contain a .reg for the PEAR package
> 
> as for every other PEAR package...
> 
> Currently, you fail to respect these essentials rules for a PEAR
> package, which means that the "process" Symfony package will appear as
> not installed when doing "pear list" for the symfony channel. Eg:
> 
> For example:
> # pear config-set default_channel symfony2
> config-set succeeded
> # pear list
> Installed packages, channel pear.symfony.com:
> =============================================
> Package Version State
> Yaml    2.2.1   stable
> 
> When I install your package, it should show here. It's not the case!
> 
> Please use the upstream tarball from here and not Git:
> http://pear.symfony.com/get/Process-2.3.1.tgz
> 
> so that you can use the package.xml from the tarball, and do a "normal"
> pear packaging. I don't even understand why something had to be done for
> phpcomposer. Maybe you can explain?
> 
> and add the necessary ${phppear:Debian-Depends},
> ${phppear:Debian-Recommends} and ${phppear:Debian-Breaks} as I suggested.

these three php-symfony-* packages i'm working on are dependencies for
Composer, alongside two other PHP libraries which are only distributed
via composer itself (not via any PEAR channels), whereas the Symfony
components are distributed via both methods.

i started packaging these Symfony components with the dh_phpcomposer
helper as suggested previously on the pkg-php-pear list, but i see there
are different opinions.

i can re-package the Symfony components from pear.symfony.com if that is
the preferred method, of course.

can i depend on this even though it's not in sid yet?
http://anonscm.debian.org/gitweb/?p=pkg-php/pear-symfony2-channel.git;a=summary

pear-symfony-project-channel should be the obsolete one.

best
andrea

-- 
andrea rota

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Sat, 29 Jun 2013 03:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Sat, 29 Jun 2013 03:12:05 GMT) Full text and rfc822 format available.

Message #35 received at 714173@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: a@xelera.eu
Cc: 714173@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: Bug#714173: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Sat, 29 Jun 2013 11:09:13 +0800
On 06/29/2013 08:30 AM, andrea rota wrote:
> these three php-symfony-* packages i'm working on are dependencies for
> Composer, alongside two other PHP libraries which are only distributed
> via composer itself (not via any PEAR channels), whereas the Symfony
> components are distributed via both methods.
> 
> i started packaging these Symfony components with the dh_phpcomposer
> helper as suggested previously on the pkg-php-pear list, but i see there
> are different opinions.

My understanding of it isn't that there was 2 opinions, but that you
didn't know about pear.symfony.com. I didn't really follow the
dh_phpcomposer discussions, I'm sorry if that wasted some of your time.

> i can re-package the Symfony components from pear.symfony.com if that is
> the preferred method, of course.

Yeah, please do!

> can i depend on this even though it's not in sid yet?
> http://anonscm.debian.org/gitweb/?p=pkg-php/pear-symfony2-channel.git;a=summary
> 
> pear-symfony-project-channel should be the obsolete one.

Yes. The FTP masters will anyway accept pear-symfony2-channel first.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Sat, 29 Jun 2013 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to a@xelera.eu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Sat, 29 Jun 2013 20:06:04 GMT) Full text and rfc822 format available.

Message #40 received at 714173@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: 714173@bugs.debian.org
Cc: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: Bug#714173: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Sat, 29 Jun 2013 21:03:10 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jun 29, 2013 at 11:09:13AM +0800, Thomas Goirand wrote:
> On 06/29/2013 08:30 AM, andrea rota wrote:
> > these three php-symfony-* packages i'm working on are dependencies for
> > Composer, alongside two other PHP libraries which are only distributed
> > via composer itself (not via any PEAR channels), whereas the Symfony
> > components are distributed via both methods.
> > 
> > i started packaging these Symfony components with the dh_phpcomposer
> > helper as suggested previously on the pkg-php-pear list, but i see there
> > are different opinions.
> 
> My understanding of it isn't that there was 2 opinions, but that you
> didn't know about pear.symfony.com. I didn't really follow the
> dh_phpcomposer discussions, I'm sorry if that wasted some of your time.
> 
> > i can re-package the Symfony components from pear.symfony.com if that is
> > the preferred method, of course.
> 
> Yeah, please do!

here is a first attempt:
http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony2-process.git

[...]

On Sun, Jun 30, 2013 at 01:24:37AM +0800, Thomas Goirand wrote:
> On 06/28/2013 05:20 PM, Mathieu Parent wrote:
> >> Another thing: I have noticed that what is used as upstream source is
> >> > quite wrong for all packages. They should all be coming from
> >> > http://pear.symfony.com/. In there, you will find packages the way they
> >> > should: including a package.xml, so that we can use the PEAR things to
> >> > get them installed, have a registry file, manage dependencies
> >> > automatically, etc. Missing the package.xml is simply wrong, IMO.
> > Again, those are not PEAR pkg.
> 
> I think there's a miss-understanding here. I'm saying that we should use
> what's in pear.symfony.com as it seems to be the same thing (and it
> seems to be the same version), but in a PEAR package format. Am I wrong?
> 
> (I'm taking about php-symfony-process, I haven't looked at other
> packages yet)

pear.symfony.com seems complete to me, providing latest versions of all
the Symfony2 components also available via upstream git.

i have used the existing naming scheme for this Debian package
(php-symfony2-<component), however this will clash with substvars
generated (for libraries from other sources only distributed via
composer) by dh_phpcomposer: in composer/packagist, these same Symfony2
packages are labelled (by the Symfony project) as 'symfony/<component>'
(e.g. symfony/process), which is correctly translated to
php-symfony-process by dh_phpcomposer.

I originally suggested using Provides: but Mathieu pointed out that
Provides is not versioned (and i can see this being an issue with some
fast-changing packages) - Mathieu suggested considering metapackages as
well, which should indeed work here. However, when i tried adding a
second binary package to debian/control for php-symfony2-process,
building failed:

-----
dh clean --buildsystem=phppear --with phppear
   dh_testdir -O--buildsystem=phppear
   dh_clean -O--buildsystem=phppear
gbp:info: php-symfony2-process_2.3.1.orig.tar.gz does not exist, creating from 'upstream/v2.3.1'
gbp:info: Exporting 'HEAD' to '/home/e402b82b49d23e6d2c7ff5f4ede872ab400fee6d/debian.org/packages/pkg-php/php-symfony2-process/build-area/php-symfony2-process-tmp'
gbp:info: Moving '/home/e402b82b49d23e6d2c7ff5f4ede872ab400fee6d/debian.org/packages/pkg-php/php-symfony2-process/build-area/php-symfony2-process-tmp' to '/home/e402b82b49d23e6d2c7ff5f4ede872ab400fee6d/debian.org/packages/pkg-php/php-symfony2-process/build-area/php-symfony2-proces$
-2.3.1'
 dpkg-buildpackage -rfakeroot -D -us -uc -i -I
dpkg-buildpackage: source package php-symfony2-process
dpkg-buildpackage: source version 2.3.1-1
dpkg-buildpackage: source changed by andrea rota <a@xelera.eu>
 dpkg-source -i -I --before-build php-symfony2-process-2.3.1
dpkg-buildpackage: host architecture amd64
 fakeroot debian/rules clean
dh clean --buildsystem=phppear --with phppear
   dh_testdir -O--buildsystem=phppear
   dh_clean -O--buildsystem=phppear
 dpkg-source -i -I -b php-symfony2-process-2.3.1
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building php-symfony2-process using existing ./php-symfony2-process_2.3.1.orig.tar.gz
dpkg-source: warning: ignoring deletion of file Process-2.3.1/package.xml
dpkg-source: info: building php-symfony2-process in php-symfony2-process_2.3.1-1.debian.tar.gz
dpkg-source: info: building php-symfony2-process in php-symfony2-process_2.3.1-1.dsc
 debian/rules build
dh build --buildsystem=phppear --with phppear
   dh_testdir -O--buildsystem=phppear
   debian/rules override_dh_auto_configure
make[1]: Entering directory `/home/e402b82b49d23e6d2c7ff5f4ede872ab400fee6d/debian.org/packages/pkg-php/php-symfony2-process/build-area/php-symfony2-process-2.3.1'
dh_auto_configure -O--buildsystem=phppear
# Remove references of .gitignore
sed -i 's@^.*\.gitignore.*$@@' */package.xml
make[1]: Leaving directory `/home/e402b82b49d23e6d2c7ff5f4ede872ab400fee6d/debian.org/packages/pkg-php/php-symfony2-process/build-area/php-symfony2-process-2.3.1'
   dh_auto_test -O--buildsystem=phppear
 fakeroot debian/rules binary
dh binary --buildsystem=phppear --with phppear
   dh_testroot -O--buildsystem=phppear
   dh_prep -O--buildsystem=phppear
   dh_auto_install -O--buildsystem=phppear
dh_auto_install: only one binary package supported, got 2
make: *** [binary] Error 255
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1357:
dpkg-buildpackage -rfakeroot -D -us -uc -i -I failed
gbp:error: Couldn't run 'debuild -i -I': debuild -i -I returned 29
-----

i guess i'd have to override dh_auto_install, but i'm not sure how best
to go about it (i see for example that php-sabredav defines two binary
packages in debian/control, but they use composer as build system:
http://anonscm.debian.org/gitweb/?p=pkg-owncloud/php-sabredav.git;a=blob;f=debian/control;h=69a06c286f9d0d11b57268fc956b041e64c7d16e;hb=HEAD)

other than this, feedback on this package is welcome.

best
andrea

-- 
andrea rota

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Sat, 29 Jun 2013 20:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Sat, 29 Jun 2013 20:18:09 GMT) Full text and rfc822 format available.

Message #45 received at 714173@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
Cc: 714173@bugs.debian.org
Subject: Re: [pkg-php-pear] Bug#714173: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Sat, 29 Jun 2013 16:15:55 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 29/06/2013 16:03, andrea rota a écrit :

> here is a first attempt:
> http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony2-process.git
[…]
> i have used the existing naming scheme for this Debian package
> (php-symfony2-<component), however this will clash with substvars
> generated

Why bother with the spurious “2”, isn’t it installed into
/usr/share/php/Symfony/$Component/ anyway?

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRz0B6AAoJEAWMHPlE9r08toMH/1R9jaaQ2vriqwNre+Af44z9
sawBU7clfEnNMB74X96WVvMKs7AVkjZFmtinSW1Wl1QL5IhW/N+CVKQR8JDk2NMv
qC5SDz+u09Z6kCm5VsaJoa/wrSmwnvnVN/GNkUIDyaKxauJZUU97xED4hN+ZXIUh
PXmr4ypFYeBM0vjhXAUfWOxsvgqtAVwNfwaorrCjirbCQd4yl0iQzdjwmQNHHoAL
jeAxQDn/LhpYskFVRwJgTSCdcVlsUTt4rIvZxYpy7ZnIpHCPfWuzAsX0Okb1+bgf
34gHReTsLv2XDVnrtbmo7nwz306NnZscrzVDDsNdWobbIjXu5GgaImKb0M0wnk8=
=+R58
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Sat, 29 Jun 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to a@xelera.eu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Sat, 29 Jun 2013 20:33:04 GMT) Full text and rfc822 format available.

Message #50 received at 714173@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: 714173@bugs.debian.org
Cc: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: Bug#714173: [pkg-php-pear] Bug#714173: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Sat, 29 Jun 2013 21:31:55 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jun 29, 2013 at 04:15:55PM -0400, David Prévot wrote:
[...]
> > i have used the existing naming scheme for this Debian package
> > (php-symfony2-<component), however this will clash with substvars
> > generated
> 
> Why bother with the spurious “2”, isn’t it installed into
> /usr/share/php/Symfony/$Component/ anyway?

that would actually make things easier. seeing that work on symfony2
components has just started, this could be a good time for DDs in this
group to think about this, i guess.

if i'm not wrong, the bits of legacy Symfony (v1.x) currently in
Debian are:
* pear-symfony-project-channel (rdepends: php-symfony-yaml)
* php-symfony-yaml (rdepends: phpunit, php-aws-sdk)

so these bits are actually in active use (though the latest phpunit on
git.debian.org depends on the new php-symfony2-yaml package)

for everything else, and seeing that Symfony 1 is past EOL upstream,
dropping the '2' should work.

my 0.5 cents would go in favour of using php-symfony-<component> for any
upcoming packaging of Symfony2 components.

best
andrea

-- 
andrea rota

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, andrea rota <a@xelera.eu>:
Bug#714173; Package wnpp. (Mon, 01 Jul 2013 12:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to a@xelera.eu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, andrea rota <a@xelera.eu>. (Mon, 01 Jul 2013 12:39:10 GMT) Full text and rfc822 format available.

Message #55 received at 714173@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: David Prévot <david@tilapin.org>, 714173@bugs.debian.org
Cc: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: Bug#714173: ITP: php-symfony-process -- Symfony PHP Framework - Process component
Date: Mon, 1 Jul 2013 13:37:25 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jun 30, 2013 at 12:29:57PM -0400, David Prévot wrote:
[...]
> FYI, I just uploaded a similar php-symfony-eventdispatcher taking into
> account the previous remarks.
> 
> http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-eventdispatcher.git

thanks, this was very useful, especially for examples of overrides in
debian/rules.

i have pushed my changes, taking your feedback into account, to
http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony-process.git;a=summary

On Sat, Jun 29, 2013 at 09:13:21PM -0400, David Prévot wrote:
[..]
> Here are some early thoughts after a quick overview of your package.
> 
> On top of the s/2// already in discussion, please update debian/compat.
> 
> What is the use of the explicit “Build-Depends-Indep: php-pear” in
> debian/control?

i was wondering myself :)
it was generated by debpear and i was hit by a sudden headeache when
trying to understand the Build-Depends-Indep field's purpose from the
new maintainer's guide... :)
i have now updated these based on your example.

> What is the use of override_dh_auto_configure, override_dh_auto_clean,
> and override_dh_auto_build in debian/rules?

legacy of an attempt to add a meta-package before discussing the
symfony/symfony2 issue in package names - removed now.

however, override_dh_auto_configure was taken from what i was previously
using as an example
(http://anonscm.debian.org/gitweb/?p=pkg-php/php-symfony2-yaml.git;a=blob;f=debian/rules;h=9a0185a4de308d6d6545464cbaaa9aa2778cee73;hb=HEAD)
and relates to my question below re package.xml contents: not sure if
this is useful/needed.

> Not sure it’s useful to enforce gbp default values (upstream-tag and
> pristine-tar).

you're right. i have only left upstream-tag since upstream use vX.Y.Z
whereas the default (at least in my local
git-buildpackage=0.6.0~git20130530) is in the X.Y.Z form. thanks.

> debian/watch shouldn’t miss the beta and RC.

thanks, updated.

> Please, drop the tests from the binary package, as well as
> phpunit.xml.dist, composer.json, CHANGELOG.md and the misplaced
> README.md (hint: you can compare the the two binary packages, the
> Composer and the PEAR one, to notice the differences).

thanks, updated as well.

the package.xml file is packaged intact so it does actually contain
XML elements for the removed files under Test - is this ok?

and finally, this package could be useful on CLI-only systems, however
when built as a composer package as in my first attempt, substvars made
it depend on php5 | php5-cli, whereas when building it as a PEAR
package, substvars make it depend on php5 only: short of adding this by
hand in debian/control, am i using substvars in a wrong way or is this
enforced by the phppear build system? i think it would be ok for these
components to depend on either, for use on systems without the full php5
meta-package installed.

thanks
andrea

-- 
andrea rota

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 714173: 710788 Request was from andrea rota <a@xelera.eu> to control@bugs.debian.org. (Tue, 02 Jul 2013 19:03:04 GMT) Full text and rfc822 format available.

Added indication that bug 714173 blocks 714118 Request was from andrea rota <a@xelera.eu> to control@bugs.debian.org. (Tue, 02 Jul 2013 19:03:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 03 Jul 2013 08:06:07 GMT) Full text and rfc822 format available.

Reply sent to andrea rota <a@xelera.eu>:
You have taken responsibility. (Fri, 09 Aug 2013 23:04:17 GMT) Full text and rfc822 format available.

Notification sent to andrea rota <a@xelera.eu>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 23:04:17 GMT) Full text and rfc822 format available.

Message #66 received at 714173-close@bugs.debian.org (full text, mbox):

From: andrea rota <a@xelera.eu>
To: 714173-close@bugs.debian.org
Subject: Bug#714173: fixed in php-symfony-process 2.3.1-1
Date: Fri, 09 Aug 2013 23:00:19 +0000
Source: php-symfony-process
Source-Version: 2.3.1-1

We believe that the bug you reported is fixed in the latest version of
php-symfony-process, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714173@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
andrea rota <a@xelera.eu> (supplier of updated php-symfony-process package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 02 Jul 2013 10:21:21 +0100
Source: php-symfony-process
Binary: php-symfony-process
Architecture: source all
Version: 2.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: andrea rota <a@xelera.eu>
Description: 
 php-symfony-process - Symfony framework - Process component
Closes: 714173
Changes: 
 php-symfony-process (2.3.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #714173)
Checksums-Sha1: 
 19113298fa29391f89073821f27bd26e6c0d1f39 1762 php-symfony-process_2.3.1-1.dsc
 0081ee956728e584ecc67f4f3da7dc7832a59446 20913 php-symfony-process_2.3.1.orig.tar.gz
 ebd8429471c5bed21a97aa45187f28c027b79cef 2202 php-symfony-process_2.3.1-1.debian.tar.gz
 5de058ee455a89708ccda60412d742b14e085356 19262 php-symfony-process_2.3.1-1_all.deb
Checksums-Sha256: 
 21010c568617813ffa73494b33bb362e5a591664b92ca91dc436e5a0deb9c937 1762 php-symfony-process_2.3.1-1.dsc
 921111cbb3fc9405ecb2e5cdd9a9dbc482fa413553d7e38cd71902ec738b0ea4 20913 php-symfony-process_2.3.1.orig.tar.gz
 cd95a805200dc762c5b125fef1c7d23bf6b856d9b4692a39e8f68da893522e06 2202 php-symfony-process_2.3.1-1.debian.tar.gz
 53094267805a25659a91e6b7bbb8430e53799e9390ac6d10de55866a05fa11b0 19262 php-symfony-process_2.3.1-1_all.deb
Files: 
 56ec7080af55de463b8e4f8c7ab0b6b6 1762 php optional php-symfony-process_2.3.1-1.dsc
 53cfea6273be4e255ba75718171c2a27 20913 php optional php-symfony-process_2.3.1.orig.tar.gz
 03d953f4221b7b700a7616fadaef0b3e 2202 php optional php-symfony-process_2.3.1-1.debian.tar.gz
 7a48b3a7b5f2d5cce3e8d49031193395 19262 php optional php-symfony-process_2.3.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJR017NAAoJEAWMHPlE9r08+9YH/0HU3fDKuQ3MTY/GqhYn/UHL
iuxucK5M44MA6SpOeIReI8BYltnKoTXKm7541o0Z8Zg+8lYVlBQBJK84EvjgrTpm
6qEGI6wlN5K5H6rOZNQ9+oGwzkQuyy9EuHsDuBTIafGGYJtgMaV36TDewkDpTlgh
BWn/fpCwBOqOLBpwZHJysfg4lEn58xe5Y6/jzIjXGWkuz1nFZqil/0mKa6ig8n+B
gjhzsWo7m72JhwQ+KM4havAet4D1xDeoCTUXGxr6SQKTj1IjQ8+Gj9lSe7vQBF2g
teXcGM373jeQdJ77rAln9v0j7Ta7tOovg/8ryT5O57bZCuX3+l25Ruu/x38G9HQ=
=w2Gc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:09:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.